Update selected EKS Anywhere commit
curl --request PUT \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/eks-anywhere/commit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commit_id": "<string>"
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/eks-anywhere/commit"
payload = { "commit_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({commit_id: '<string>'})
};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/eks-anywhere/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commit_id": "<string>"
}Clusters
Update selected EKS Anywhere commit
Persist selected commit for an EKS Anywhere cluster.
PUT
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
eks-anywhere
/
commit
Update selected EKS Anywhere commit
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Body
application/json
Response
Updated EKS Anywhere commit
Was this page helpful?
⌘I